Subject: [PATCH v2] kvm: arm: Enforce some NS-SVC initialisation

From: [email-masked] (Christoffer Dall)
Date: Tue, 6 Sep 2016 18:41:45 +0200

On Wed, Aug 17, 2016 at 01:32:49PM +0200, Christoffer Dall wrote:
> Hi Russell,
> 
> On Tue, Aug 16, 2016 at 06:49:18PM +0100, Robin Murphy wrote:
> > Since the non-secure copies of banked registers lack architecturally
> > defined reset values, there is no actual guarantee when entering in Hyp
> > from secure-only firmware that the Non-Secure PL1 state will look the
> > way that kernel entry (in particular the decompressor stub) expects.
> > So far, we've been getting away with it thanks to implementation details
> > of ARMv7 cores and/or bootloader behaviour, but for the sake of forwards
> > compatibility let's try to ensure that we have a minimally sane state
> > before dropping down into it.
> > 
> > Signed-off-by: Robin Murphy <[email-masked]>
> 
> Can we have your acked-by on this patch to merge it via the KVM tree or
> do you prefer merging this one directly yourself?
> 
I have queued this via the KVM/ARM tree.  If you have any objections,
please let me know asap.

Thanks,
-Christoffer